> ## Documentation Index
> Fetch the complete documentation index at: https://docs.noisemaker.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# Fetch a report by stable report identity



## OpenAPI

````yaml /openapi.json get /api/v1/workspaces/{workspace}/reports/{reportId}
openapi: 3.0.3
info:
  title: ai-cmo.dev Services API
  version: 1.0.0
servers: []
security: []
paths:
  /api/v1/workspaces/{workspace}/reports/{reportId}:
    get:
      summary: Fetch a report by stable report identity
      operationId: getWorkspaceReport
      parameters:
        - name: workspace
          in: path
          required: true
          schema:
            type: string
            pattern: ^[a-z0-9-]+$
        - name: reportId
          in: path
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Report'
      security:
        - cookieAuth: []
        - bearerAuth:
            - reports:read
components:
  schemas:
    Report:
      type: object
      properties:
        identity:
          type: object
          properties:
            id:
              type: string
            date:
              type: string
          required:
            - id
            - date
          additionalProperties: false
        report:
          type: object
          additionalProperties:
            anyOf:
              - enum:
                  - 'null'
                nullable: true
              - type: boolean
              - type: number
              - type: string
              - type: array
                items: 477a594e-8d8b-4b1f-a527-af6c78f5026d
              - type: object
                additionalProperties: e09de532-1a21-4950-b64f-3470b29f5175
        scoreboard:
          type: object
          properties:
            header:
              type: object
              properties:
                brand:
                  type: string
                date:
                  type: string
                display_name:
                  type: string
                  nullable: true
                engines_covered:
                  type: array
                  items:
                    type: string
                  nullable: true
                skipped_engines:
                  type: array
                  items:
                    type: string
                  nullable: true
                presets:
                  type: array
                  items:
                    type: string
                  nullable: true
                total_cost_usd:
                  type: number
                  nullable: true
              required:
                - brand
                - date
              additionalProperties: false
            scoreboard:
              type: object
              properties:
                composite_visibility:
                  type: object
                  properties:
                    value:
                      type: number
                      nullable: true
                    ci_low:
                      type: number
                      nullable: true
                    ci_high:
                      type: number
                      nullable: true
                    'n':
                      type: number
                      nullable: true
                    entity:
                      type: string
                      nullable: true
                    deltas:
                      type: object
                      properties:
                        previous:
                          type: number
                          nullable: true
                        7d:
                          type: number
                          nullable: true
                        28d:
                          type: number
                          nullable: true
                      required:
                        - previous
                        - 7d
                        - 28d
                      additionalProperties: false
                  required:
                    - value
                    - ci_low
                    - ci_high
                    - 'n'
                    - entity
                    - deltas
                  additionalProperties: false
                  nullable: true
                engines:
                  type: array
                  items:
                    type: object
                    properties:
                      engine:
                        type: string
                      metrics:
                        type: object
                        additionalProperties:
                          allOf:
                            - b8d0d711-8b18-48d5-8898-39c4784160d9
                          nullable: true
                    required:
                      - engine
                      - metrics
                    additionalProperties: false
              required:
                - composite_visibility
                - engines
              additionalProperties: false
          required:
            - header
            - scoreboard
          additionalProperties: false
          nullable: true
        markdown:
          type: string
          nullable: true
        competitorLinks:
          type: array
          items:
            type: object
            properties:
              name:
                type: string
              url:
                type: string
                format: uri
            required:
              - name
              - url
            additionalProperties: false
      required:
        - identity
        - report
        - scoreboard
        - markdown
        - competitorLinks
      additionalProperties: false
  securitySchemes:
    cookieAuth:
      type: apiKey
      in: cookie
      name: geo.session
      description: Signed HttpOnly browser session cookie
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: gp_live_<43 base64url characters>
      description: Workspace-bound machine API key

````